IOSS 2.0

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | Private Member Functions | Static Private Attributes | List of all members
Ioss::TriShell7 Class Reference

`#include <Ioss_TriShell7.h>`

Inheritance diagram for Ioss::TriShell7:
[legend]
Collaboration diagram for Ioss::TriShell7:
[legend]

## Public Member Functions
| ~TriShell7 () override
ElementShape | shape () const override
int | spatial_dimension () const override
int | parametric_dimension () const override
bool | is_element () const override
int | order () const override
int | number_corner_nodes () const override
int | number_nodes () const override
int | number_edges () const override
int | number_faces () const override
int | number_nodes_edge (int edge=0) const override
int | number_nodes_face (int face=0) const override
int | number_edges_face (int face=0) const override
Ioss::IntVector | edge_connectivity (int edge_number) const override
Ioss::IntVector | face_connectivity (int face_number) const override
Ioss::IntVector | element_connectivity () const override
Ioss::ElementTopology * | face_type (int face_number=0) const override
Ioss::ElementTopology * | edge_type (int edge_number=0) const override
Public Member Functions inherited from Ioss::ElementTopology
void | alias (const std::string &base, const std::string &syn)
bool | is_alias (const std::string &my_alias) const
| ElementTopology (const ElementTopology &)=delete
ElementTopology & | operator= (const ElementTopology &)=delete
virtual | ~ElementTopology ()
const std::string & | name () const
std::string | master_element_name () const
virtual bool | edges_similar () const
virtual bool | faces_similar () const
int | number_boundaries () const
IntVector | boundary_connectivity (int edge_number) const
virtual IntVector | face_edge_connectivity (int face_number) const
IntVector | element_edge_connectivity () const
ElementTopology * | boundary_type (int face_number=0) const

## Static Public Member Functions
static void | factory ()
Static Public Member Functions inherited from Ioss::ElementTopology
static ElementTopology * | factory (const std::string &type, bool ok_to_fail=false)
static ElementTopology * | factory (unsigned int unique_id)
static unsigned int | get_unique_id (const std::string &type)
static int | describe (NameList *names)
| Get the names of element topologies known to Ioss. More...

## Static Public Attributes
static const char * | name = "trishell7"

## Protected Member Functions
| TriShell7 ()
Protected Member Functions inherited from Ioss::ElementTopology
| ElementTopology (std::string type, std::string master_elem_name, bool delete_me=false)

## Private Member Functions
| TriShell7 (const TriShell7 &)=delete

## Static Private Attributes
static TriShell7 | instance_

## Constructor & Destructor Documentation

## ◆ ~TriShell7()

Ioss::TriShell7::~TriShell7 | ( |  | ) |
| override default

## ◆ TriShell7() [1/2]

Ioss::TriShell7::TriShell7 | ( |  | ) |
| protected

## ◆ TriShell7() [2/2]

Ioss::TriShell7::TriShell7 | ( | const TriShell7 & |  | ) |
| private delete

## Member Function Documentation

## ◆ edge_connectivity()

Ioss::IntVector Ioss::TriShell7::edge_connectivity | ( | int | edge_number | ) | const
| override virtual

Implements Ioss::ElementTopology.

## ◆ edge_type()

Ioss::ElementTopology * Ioss::TriShell7::edge_type | ( | int | edge_number = `0` | ) | const
| override virtual

Implements Ioss::ElementTopology.

## ◆ element_connectivity()

Ioss::IntVector Ioss::TriShell7::element_connectivity | ( |  | ) | const
| override virtual

Implements Ioss::ElementTopology.

## ◆ face_connectivity()

Ioss::IntVector Ioss::TriShell7::face_connectivity | ( | int | face_number | ) | const
| override virtual

Implements Ioss::ElementTopology.

## ◆ face_type()

Ioss::ElementTopology * Ioss::TriShell7::face_type | ( | int | face_number = `0` | ) | const
| override virtual

Implements Ioss::ElementTopology.

## ◆ factory()

void Ioss::TriShell7::factory | ( |  | ) |
| static

## ◆ is_element()

bool Ioss::TriShell7::is_element | ( |  | ) | const
| inline override virtual

Reimplemented from Ioss::ElementTopology.

## ◆ number_corner_nodes()

int Ioss::TriShell7::number_corner_nodes | ( |  | ) | const
| override virtual

Implements Ioss::ElementTopology.

## ◆ number_edges()

int Ioss::TriShell7::number_edges | ( |  | ) | const
| override virtual

Implements Ioss::ElementTopology.

## ◆ number_edges_face()

int Ioss::TriShell7::number_edges_face | ( | int | face = `0` | ) | const
| override virtual

Implements Ioss::ElementTopology.

## ◆ number_faces()

int Ioss::TriShell7::number_faces | ( |  | ) | const
| override virtual

Implements Ioss::ElementTopology.

## ◆ number_nodes()

int Ioss::TriShell7::number_nodes | ( |  | ) | const
| override virtual

Implements Ioss::ElementTopology.

## ◆ number_nodes_edge()

int Ioss::TriShell7::number_nodes_edge | ( | int | edge = `0` | ) | const
| override virtual

Implements Ioss::ElementTopology.

## ◆ number_nodes_face()

int Ioss::TriShell7::number_nodes_face | ( | int | face = `0` | ) | const
| override virtual

Implements Ioss::ElementTopology.

## ◆ order()

int Ioss::TriShell7::order | ( |  | ) | const
| override virtual

Implements Ioss::ElementTopology.

## ◆ parametric_dimension()

int Ioss::TriShell7::parametric_dimension | ( |  | ) | const
| override virtual

Implements Ioss::ElementTopology.

## ◆ shape()

ElementShape Ioss::TriShell7::shape | ( |  | ) | const
| inline override virtual

Implements Ioss::ElementTopology.

## ◆ spatial_dimension()

int Ioss::TriShell7::spatial_dimension | ( |  | ) | const
| override virtual

Implements Ioss::ElementTopology.

## Member Data Documentation

## ◆ instance_

TriShell7 Ioss::TriShell7::instance_
| static private

## ◆ name

const char * Ioss::TriShell7::name = "trishell7"
| static

The documentation for this class was generated from the following files:

- src/Ioss_TriShell7.h
- src/Ioss_TriShell7.C